Get a patient
curl --request GET \
--url https://rxnote.ai/api/v1/patients/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rxnote.ai/api/v1/patients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rxnote.ai/api/v1/patients/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 4821,
"name": "<string>",
"age": 123,
"sex": "<string>",
"date_of_birth": "<string>",
"phone": "<string>",
"email": "<string>",
"medical_record_number": "<string>",
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}Patients
Get a patient
Scope patients:read.
GET
/
patients
/
{id}
Get a patient
curl --request GET \
--url https://rxnote.ai/api/v1/patients/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rxnote.ai/api/v1/patients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rxnote.ai/api/v1/patients/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 4821,
"name": "<string>",
"age": 123,
"sex": "<string>",
"date_of_birth": "<string>",
"phone": "<string>",
"email": "<string>",
"medical_record_number": "<string>",
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}Authorizations
Your API key, created in RxNote under Settings → API: Authorization: Bearer rxn_live_….
Path Parameters
Example:
4821
Response
The patient.
Example:
4821
